/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.service.bean;

import javax.ejb.Local;
import javax.ejb.Remote;
import org.jboss.annotation.ejb.Service;


/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3.2.4 $
 */
@Service
@Local(ServiceOneLocal.class)
@Remote(ServiceOneRemote.class)
public class ServiceOne implements ServiceOneLocal, ServiceOneRemote, ServiceOneManagement
{
   int attribute;

   public void setAttribute(int attribute)
   {
      this.attribute = attribute;
   }

   public int getAttribute()
   {
      return this.attribute;
   }

   public String sayHello()
   {
      return "Hello from service One";
   }

   // Lifecycle methods
   public void create() throws Exception
   {
      System.out.println("ServiceOne - Creating");
   }

   public void start() throws Exception
   {
      System.out.println("ServiceOne - Starting");
   }

   public void stop()
   {
      System.out.println("ServiceOne - Stopping");
   }

   public void destroy()
   {
      System.out.println("ServiceOne - Destroying");
   }
}
